diff -ruN STLport-4.6.orig/src/icc.mak STLport-4.6/src/icc.mak
--- STLport-4.6.orig/src/icc.mak	Thu Oct  9 05:29:17 2003
+++ STLport-4.6/src/icc.mak	Tue Jan 13 15:49:53 2004
@@ -37,11 +37,11 @@
 
 CXXFLAGS_COMMON = -I${STLPORT_DIR} ${WARNING_FLAGS}
 
-CXXFLAGS_RELEASE_static = $(CXXFLAGS_COMMON) -O3 -ipo -ipo_obj
-CXXFLAGS_RELEASE_dynamic = $(CXXFLAGS_COMMON) -O3 -fPIC -ipo -ipo_obj
+CXXFLAGS_RELEASE_static = $(CXXFLAGS_COMMON) -O -ip -axKW
+CXXFLAGS_RELEASE_dynamic = $(CXXFLAGS_COMMON) -O -ip -axKW -KPIC
 
-CXXFLAGS_DEBUG_static = $(CXXFLAGS_COMMON) -O0 -g
-CXXFLAGS_DEBUG_dynamic = $(CXXFLAGS_COMMON) -O0 -g -fPIC
+CXXFLAGS_DEBUG_static = $(CXXFLAGS_COMMON) -O -g
+CXXFLAGS_DEBUG_dynamic = $(CXXFLAGS_COMMON) -O -g -KPIC
 
 CXXFLAGS_STLDEBUG_static = $(CXXFLAGS_DEBUG_static) -D_STLP_DEBUG
 CXXFLAGS_STLDEBUG_dynamic = $(CXXFLAGS_DEBUG_dynamic) -D_STLP_DEBUG
diff -ruN STLport-4.6.orig/test/eh/icc-linux.mak STLport-4.6/test/eh/icc-linux.mak
--- STLport-4.6.orig/test/eh/icc-linux.mak	Thu Jan  1 01:00:00 1970
+++ STLport-4.6/test/eh/icc-linux.mak	Tue Jan 13 16:18:34 2004
@@ -0,0 +1,79 @@
+# This requires GNU make.
+
+srcdir = .
+VPATH = .
+SHELL=/bin/sh
+
+# point this to proper location
+STL_INCL=-I../../stlport
+
+AUX_LIST=TestClass.cpp main.cpp nc_alloc.cpp random_number.cpp
+
+TEST_LIST=test_algo.cpp  \
+test_algobase.cpp     test_list.cpp test_slist.cpp \
+test_bit_vector.cpp   test_vector.cpp \
+test_deque.cpp test_set.cpp test_map.cpp \
+test_hash_map.cpp  test_hash_set.cpp test_rope.cpp \
+test_string.cpp test_bitset.cpp test_valarray.cpp
+
+LIST=$(AUX_LIST) $(TEST_LIST)
+
+OBJECTS = $(LIST:%.cpp=obj/%.o) $(STAT_MODULE)
+D_OBJECTS = $(LIST:%.cpp=d_obj/%.o) $(STAT_MODULE)
+
+EXECS = $(LIST:%.cpp=%)
+TESTS = $(LIST:%.cpp=%.out)
+TEST_EXE  = ./eh_test
+D_TEST_EXE = ./eh_test_d
+
+TEST  = ./eh_test.out
+D_TEST = ./eh_test_d.out
+
+CC = icc -O -ip -axKW
+CXX = icpc -O -ip -axKW
+
+CXXFLAGS = -w1 $(STL_INCL) -I. $(CXX_EXTRA_FLAGS) -DEH_VECTOR_OPERATOR_NEW -DEH_DELETE_HAS_THROW_SPEC
+D_CXXFLAGS = $(CXXFLAGS) -g -D_STLP_DEBUG
+
+check: $(TEST)
+
+LIBS = -lm -pthread
+D_LIBSTLPORT = -L../../lib -lstlport_icc_stldebug
+LIBSTLPORT = -L../../lib -lstlport_icc
+
+all: $(TEST_EXE) $(D_TEST_EXE)
+
+check_d: $(D_TEST)
+
+OBJDIR=obj
+D_OBJDIR=d_obj
+
+$(OBJDIR):
+	mkdir obj
+$(D_OBJDIR):
+	mkdir d_obj
+
+
+$(TEST_EXE) : $(OBJDIR) $(OBJECTS)
+	$(CC) $(CXXFLAGS) $(OBJECTS) $(LIBSTLPORT) $(LIBS) -o $(TEST_EXE)
+
+$(D_TEST_EXE) : $(D_OBJDIR) $(D_OBJECTS)
+	$(CC) $(D_CXXFLAGS) $(D_OBJECTS) $(D_LIBSTLPORT) $(LIBS) -o $(D_TEST_EXE)
+
+
+$(TEST) : $(TEST_EXE)
+	LD_LIBRARY_PATH="../../lib:$(LD_LIBRARY_PATH)" ./$(TEST_EXE) -s 100
+
+$(D_TEST) : $(D_TEST_EXE)
+	LD_LIBRARY_PATH="../../lib:$(LD_LIBRARY_PATH)" ./$(D_TEST_EXE) -s 100
+
+SUFFIXES: .cpp.o
+
+d_obj/%.o : %.cpp
+	$(CXX) $(D_CXXFLAGS) $< -c -o $@
+
+obj/%.o : %.cpp
+	$(CXX) $(CXXFLAGS) $< -c -o $@
+
+clean:
+	-rm -rf $(TEST_EXE) *.o */*.o *.core

